GetSnapSpacing Example

Using Programming Languages other than VBA

Sub Example_GetSnapSpacing()
	' This example finds the current Snap spacing, and changes that spacing.

	' Find the current active viewport
	Dim viewportObj As AcadViewport
	Set viewportObj = ThisDrawing.ActiveViewport

	' Turn on Snap spacing and reset the viewport.
	viewportObj.SnapOn = True
	ThisDrawing.ActiveViewport = viewportObj

	' Find the current Snap spacing
	Dim XSpacing As Double
	Dim YSpacing As Double

	viewportObj.GetSnapSpacing XSpacing, YSpacing
	MsgBox "X =" & XSpacing & ", Y =" & YSpacing, Title:="GetSnapSpacing Example"

	' Change the Snap spacing
	XSpacing = XSpacing * 0.5
	YSpacing = YSpacing * 0.5
	viewportObj.SetSnapSpacing XSpacing, YSpacing
	ThisDrawing.ActiveViewport = viewportObj
	MsgBox "X =" & XSpacing & ", Y =" & YSpacing, Title:="GetSnapSpacing Example"
   
End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.